Bug 1846220 - custom display name did not change after updating on console
Summary: custom display name did not change after updating on console
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: OLM
Version: 4.5
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.3.z
Assignee: Bowen Song
QA Contact: Jian Zhang
URL:
Whiteboard:
Depends On: 1841171
Blocks: 1851221
TreeView+ depends on / blocked
 
Reported: 2020-06-11 06:29 UTC by OpenShift BugZilla Robot
Modified: 2020-07-07 14:48 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-07-07 14:48:25 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github operator-framework operator-lifecycle-manager pull 1581 None closed [release-4.3] Bug 1846220: Update PkgManifest upon catsrc update 2020-06-30 01:21:47 UTC
Red Hat Product Errata RHBA-2020:2805 None None None 2020-07-07 14:48:42 UTC

Comment 4 Jian Zhang 2020-06-28 06:51:10 UTC
Cluster version is 4.3.0-0.nightly-2020-06-27-134851
mac:~ jianzhang$ oc -n openshift-operator-lifecycle-manager exec catalog-operator-6669cbf85d-tlfdf -- olm --version
OLM version: 0.13.0
git commit: b57391ec305810c6fbc5cf5583bafc20c13dabdb

There is only the "Custom" display on the UI for 4.3.z, not the CatalogSource Name. See the screenshot:
https://user-images.githubusercontent.com/15416633/85940270-02930a80-b94e-11ea-8f1d-8e5bdac7542d.png
So, the user would not encounter this issue. Anyway, I just check the "packagemanifest" in the backend.

1, Create a new CatalogSource on the Web console:
mac:~ jianzhang$ cat bug-cs.yaml 
apiVersion: operators.coreos.com/v1alpha1
kind: CatalogSource
metadata:
  name: custom-test
  namespace: openshift-marketplace
spec:
  displayName: custom-test22
  image: docker.io/aosqe/custom-keycloak:latest
  publisher: hasha
  sourceType: grpc
mac:~ jianzhang$ oc create -f bug-cs.yaml 
catalogsource.operators.coreos.com/custom-test created

2, Update the displayName "custom-test22" to "custom-test43"
mac:~ jianzhang$ oc edit catalogsource  custom-test
catalogsource.operators.coreos.com/custom-test edited

3, Check if the displayName updated:
mac:~ jianzhang$ oc get packagemanifest|grep keycloak
keycloak-operator                            custom-test43         6m35s
keycloak-operator                            Community Operators   59m

The displayed name has been upgraded to "custom-test43", LGTM, verify it.

Comment 6 errata-xmlrpc 2020-07-07 14:48:25 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2805


Note You need to log in before you can comment on or make changes to this bug.